gdcm::EquipmentManufacturer Class Reference

`#include <gdcmEquipmentManufacturer.h>`

## Public Types

enum | Type { UNKNOWN = 0 , FUJI , GEMS , HITACHI , KODAK , MARCONI , PMS , SIEMENS , TOSHIBA , AGFA , SAMSUNG , UIH }

## Static Public Member Functions

static Type | Compute (DataSet const &ds)
static const char * | TypeToString (Type type)

## Detailed Description

The intent is for private tags handling. This class is not meant to handle all possible vendors in the world, simply those well known where we intend to read private tags afterwards (typically SIEMENS+CSA, GEMS+PDB ...)

## Member Enumeration Documentation

## Type

enum gdcm::EquipmentManufacturer::Type

Enumerator
UNKNOWN |
FUJI |
GEMS |
HITACHI |
KODAK |
MARCONI |
PMS |
SIEMENS |
TOSHIBA |
AGFA |
SAMSUNG |
UIH |

## Member Function Documentation

## Compute()

Type gdcm::EquipmentManufacturer::Compute | ( | DataSet const & | ds | ) |

static

## TypeToString()

const char * gdcm::EquipmentManufacturer::TypeToString | ( | Type | type | ) |

static

The documentation for this class was generated from the following file:

- gdcmEquipmentManufacturer.h